# Terraform
.terraform
.terragrunt-cache
*.tfstate*
terraform.tfstate*
.terraform/
terraform.tfvars
.terraform.lock.hcl
.DS_Store
*.swp

# Copies of main_providers.tf
main_providers.tf

# Except original (see related issue - https://github.com/gruntwork-io/terragrunt/issues/785)
!terraform/common/main_providers.tf

# Secrets are not allowed in general
*.key
*.pem

# Secrets are encrypted using git-crypt
!secrets/*

# OS X
.history
.DS_Store

# IntelliJ
.idea_modules
*.iml
*.iws
*.ipr
.idea/
build/
*/build/
out/
